
/* This is based on qq14-actioneditor-code.zip from Qt */

#ifndef _ACTIONSEDITOR_H_
#define _ACTIONSEDITOR_H_

#include "qt3_4_compat.h"
#include <qwidget.h>
#include <qvaluelist.h>

class QTable;
class QTableItem;
class QACTION;
class QSettings;
class QPushButton;

class ActionsEditor : public QWidget
{
    Q_OBJECT

public:
    ActionsEditor( QWidget * parent = 0, const char * name = 0, WFlags f = 0 );
	~ActionsEditor();

	// Clear the actionlist
	void clear();

	// There are no actions yet?
	bool isEmpty();

	void addActions(QWidget * widget);

	/*
	void saveToConfig(QSettings * set);
	void loadFromConfig(QSettings * set);
	*/
	QACTION * findAction(const QString & name);


	static void saveToConfig(QObject *o, QSettings *set);
	static void loadFromConfig(QObject *o, QSettings *set);

public slots:
	void applyChanges();
	bool saveActionsTable();
	bool saveActionsTable(const QString & filename);
	bool loadActionsTable();
	bool loadActionsTable(const QString & filename);

	void updateView();

protected:
	// Find in table, not in actionslist
	int findActionName(const QString & name);
	int findActionAccel(const QString & accel, int ignoreRow = -1);
	void checkForConflicts();


protected slots:
    void recordAction(int row, int column);
    void validateAction(int row, int column);
	virtual void languageChange();

private:
    QString oldAccelText;
    QTable *actionsTable;
    QValueList<QACTION*> actionsList;
	QPushButton *saveButton;
	QPushButton *loadButton;
	QString latest_dir;
};

#endif
