/*  smplayer, GUI front-end for mplayer.
    Copyright (C) 2007 Ricardo Villalba <rvm@escomposlinux.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _BASEGUIPLUS_H_
#define _BASEGUIPLUS_H_

#include "basegui.h"

#if QT_VERSION >= 0x040200
#include <QSystemTrayIcon>
#include <qpoint.h>
class Q3PopupMenu;
#else
class QSystemTrayIcon {
public:
	enum ActivationReason { Unknown, Context, DoubleClick, Trigger, MiddleClick };
};
#endif


class BaseGuiPlus : public BaseGui
{
	Q_OBJECT

public:

	BaseGuiPlus( QString file = "", QWidget* parent = 0, const char* name = 0, 
                WFlags fl = WType_TopLevel );
	~BaseGuiPlus();

protected:
	void loadConfig();
	void saveConfig();
	void updateShowAllAct();
	virtual void closeEvent( QCloseEvent * e );

protected slots:
	// Reimplemented methods
	virtual void languageChange();
	virtual void firstShow();
	virtual void resizeWindow(int w, int h);
	virtual void updateMediaInfo();
	// New
	virtual void trayIconActivated(QSystemTrayIcon::ActivationReason);
	virtual void toggleShowAll();
	virtual void showAll(bool b);

protected:
	#if QT_VERSION >= 0x040200
	QSystemTrayIcon * tray;
	MyAction * showTrayAct;
	MyAction * showAllAct;

	Q3PopupMenu * context_menu;
	int recents_menu_id;

	// To save state
	QPoint mainwindow_pos;
	bool mainwindow_visible;

	QPoint playlist_pos;
	bool playlist_visible;

	//QPoint infowindow_pos;
	//bool infowindow_visible;
	#endif
};

#endif
